package com.fs.store.service;

import com.fs.store.domain.FsTestTempItem;
import com.fs.store.param.FsTestTempItemListUParam;
import com.fs.store.param.FsTestTempItemParam;
import com.fs.store.vo.FsTestTempItemListUVO;
import com.fs.store.vo.FsTestTempItemListVO;

import java.util.List;

/**
 * 模板项目Service接口
 *
 * @author fs
 * @date 2023-09-04
 */
public interface IFsTestTempItemService
{
    /**
     * 查询模板项目
     *
     * @param itemId 模板项目主键
     * @return 模板项目
     */
    public FsTestTempItem selectFsTestTempItemByItemId(Long itemId);

    /**
     * 查询模板项目列表
     *
     * @param fsTestTempItem 模板项目
     * @return 模板项目集合
     */
    public List<FsTestTempItem> selectFsTestTempItemList(FsTestTempItem fsTestTempItem);

    /**
     * 新增模板项目
     *
     * @param fsTestTempItem 模板项目
     * @return 结果
     */
    public int insertFsTestTempItem(FsTestTempItem fsTestTempItem);

    /**
     * 修改模板项目
     *
     * @param fsTestTempItem 模板项目
     * @return 结果
     */
    public int updateFsTestTempItem(FsTestTempItem fsTestTempItem);

    /**
     * 批量删除模板项目
     *
     * @param itemIds 需要删除的模板项目主键集合
     * @return 结果
     */
    public int deleteFsTestTempItemByItemIds(Long[] itemIds);

    /**
     * 删除模板项目信息
     *
     * @param itemId 模板项目主键
     * @return 结果
     */
    public int deleteFsTestTempItemByItemId(Long itemId);

    List<FsTestTempItemListVO> selectFsTestTempItemListVO(FsTestTempItemParam fsTestTempItem);

    List<FsTestTempItemListUVO> selectFsTestTempItemListUVO(FsTestTempItemListUParam param);
}
